import { BackgroundModel, LayOutModel } from '../../styles/style.model';
import BaseSection from '../BaseSection';
import { ProductInfoContentModel, ProductInfoStylesModel } from './product-info-section.component.modal';
import * as i0 from "@angular/core";
export declare class ProductInfoSectionComponent extends BaseSection {
    data?: any;
    index?: number;
    edit?: boolean;
    styles: ProductInfoStylesModel | any;
    content: ProductInfoContentModel | any;
    nextComponentColor?: BackgroundModel;
    delete?: boolean;
    customClass?: string;
    constructor();
    ngOnInit(): void;
    get accentBackground(): string;
    get fontColor(): string;
    getGradientDirection(direction: string | undefined): string;
    screenWidth: any;
    getScreenSize(): void;
    get stylesLayout(): LayOutModel;
    addRow(): void;
    getColumnWidth(): string;
    addColumn(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ProductInfoSectionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ProductInfoSectionComponent, "simpo-product-info-section", never, { "data": { "alias": "data"; "required": false; }; "index": { "alias": "index"; "required": false; }; "edit": { "alias": "edit"; "required": false; }; "nextComponentColor": { "alias": "nextComponentColor"; "required": false; }; "delete": { "alias": "delete"; "required": false; }; "customClass": { "alias": "customClass"; "required": false; }; }, {}, never, never, true, never>;
}
